org.apache.http.impl.client

## Class StandardHttpRequestRetryHandler

- java.lang.Object
- - org.apache.http.impl.client.DefaultHttpRequestRetryHandler
  - - org.apache.http.impl.client.StandardHttpRequestRetryHandler

- All Implemented Interfaces:
    HttpRequestRetryHandler

      @Contract(threading=IMMUTABLE)
      public class StandardHttpRequestRetryHandler
      extends DefaultHttpRequestRetryHandler

  `HttpRequestRetryHandler` which assumes that all requested HTTP methods which should be idempotent according to RFC-2616 are in fact idempotent and can be retried.

  According to RFC-2616 section 9.1.2 the idempotent HTTP methods are: GET, HEAD, PUT, DELETE, OPTIONS, and TRACE

  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.client.DefaultHttpRequestRetryHandler

      `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardHttpRequestRetryHandler()` Default constructor
    `StandardHttpRequestRetryHandler(int retryCount, boolean requestSentRetryEnabled)` Default constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `handleAsIdempotent(org.apache.http.HttpRequest request)`

    - ### Methods inherited from class org.apache.http.impl.client.DefaultHttpRequestRetryHandler

      `getRetryCount, isRequestSentRetryEnabled, requestIsAborted, retryRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardHttpRequestRetryHandler

          public StandardHttpRequestRetryHandler(int retryCount,
                                         boolean requestSentRetryEnabled)

      Default constructor

    - #### StandardHttpRequestRetryHandler

          public StandardHttpRequestRetryHandler()

      Default constructor

  - ### Method Detail

    - #### handleAsIdempotent

          protected boolean handleAsIdempotent(org.apache.http.HttpRequest request)

      Overrides:
        `handleAsIdempotent` in class `DefaultHttpRequestRetryHandler`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.